{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.snail.crush_check": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            { "test": "query.property('silverlabs_nat:was_stepped_on')" }
          ]
        },
        "test": {
          "on_entry": [
            "/scriptevent silverlabs_nat:snail_crush_check"
          ],
          "transitions": [
            { "default": "!query.property('silverlabs_nat:was_stepped_on')" }
          ]
        }
      }
    },
    "controller.animation.silverlabs_nat.snail.catch_check": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            { "test": "query.property('silverlabs_nat:was_caught')" }
          ]
        },
        "test": {
          "on_entry": [
            "/scriptevent silverlabs_nat:snail_bucket"
          ],
          "transitions": [
            { "default": "!query.property('silverlabs_nat:was_caught')" }
          ]
        }
      }
    },
    "controller.animation.silverlabs_nat.snail.lay_egg": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            { "ready": "q.is_pregnant" }
          ]
        },
        "ready": {
          "transitions": [
            { "done": "!q.is_pregnant" }
          ]
        },
        "done": {
          "on_entry": [
            "/scriptevent silverlabs_nat:snailegg_formed"
          ],
          "transitions": [
            { "default": "1" }
          ]
        }
      }
    }
  }
}
